%define name_app	abisuite
%define enc		koi8
%define version		0.99
%define release 	alt2

Name: %name_app-%enc
Summary: KOI8-R(U) support for abisuite
Version: %version
Release: %release

Packager: AEN <aen@altlinux.ru>

Source: abisuite-koi8-0.9.tar.bz2
Source1: russian.hash-encoding
Source2: ukrainian.hash-encoding
Source3: system.profile.ru_RU.KOI8-R
Source4: system.profile.uk_UA

Group: Office

BuildArch: noarch

Requires: %name_app >= %version
License: GPL

%description
KOI8-R(U) fonts & configuration files for Abisuite

%prep
%setup -q -nabisuite-koi8-0.9

%build
%install
mkdir -p $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/{AbiWord,dictionary,fonts}

cp -ar *  $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/fonts

cp %SOURCE1 $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/dictionary
cp %SOURCE2 $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/dictionary

cp %SOURCE3 $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/AbiWord
cp %SOURCE4 $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/AbiWord

cd $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/fonts/KOI8-R

ln -sf ../adobe-full.u2g adobe-short.u2g

cd $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/dictionary

ln -sf /usr/lib/ispell/russian.hash russian.hash
ln -sf /usr/lib/ispell/ukrainian.hash ukrainian.hash

cd $RPM_BUILD_ROOT%_datadir/abisuite/AbiSuite/AbiWord

ln -s system.profile.ru_RU.KOI8-R system.profile.ru
ln -s system.profile.uk_UA system.profile.ru_UA
ln -s system.profile.uk_UA system.profile.uk

%files
%_datadir/abisuite/AbiSuite/AbiWord/system.profile*
%_datadir/abisuite/AbiSuite/dictionary/russian.*
%_datadir/abisuite/AbiSuite/dictionary/ukrainian.*
%_datadir/abisuite/AbiSuite/fonts/KOI8-R/
%_datadir/abisuite/AbiSuite/fonts/KOI8-U/

%changelog
* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.99-alt2
- rebuild

* Mon Mar 18 2002 AEN <aen@logic.ru> 0.99-alt1
- new fonts from val

* Tue Oct 09 2001 AEN <aen@logic.ru> 0.9.4.1-alt1
- requires changed

* Thu Aug 16 2001 AEN <aen@logic.ru> 0.9.2-alt1
- build for new version

* Wed Jul 23 2001 AEN <aen@logic.ru> 0.9-alt3
- some fonts fixed

* Tue Jul 17 2001 AEN <aen@logic.ru> 0.9-alt2
- new fonts

* Wed Jul 11 2001 AEN <aen@logic.ru> 0.9-alt1
- build for new version

* Fri May 25 2001 AEN <aen@logic.ru> 0.7.14-alt1
- build for new version

* Tue Feb 27 2001 AEN <aen@logic.ru> 0.7.13-ipl1mdk
- rebuild for new version abi

* Sun Feb 25 2001 AEN <aen@logic.ru> ipl2mdk
- fonts names fixed

* Wed Oct 11 2000 AEN <aen@logic.ru>
- build for RE
